Aller au contenu principal

API Documentation

Integrate CSV validation into your applications with our REST API or MCP server.

Authentication

L’API REST exige un jeton Bearer doté de l’autorisation « csv:validate ». Les jetons sont fournis aux intégrations approuvées ; il n’existe actuellement aucun parcours public en libre-service pour en obtenir un.

Authorization: Bearer YOUR_API_TOKEN

Validate a CSV File

Upload a CSV file for validation. The file is processed and results are returned immediately.

POST /api/v1/csv-validator/process

Request parameters:

Parameter Type Description
file file The CSV file to validate (required, max 10MB)

Response Format

{
  "success": true,
  "data": {
    "filename": "data.csv",
    "file_size": 2458,
    "processing_time": 0.12,
    "summary": {
      "quality_score": 92,
      "total_rows": 150,
      "columns": 8
    },
    "headers": ["id", "name", "email"],
    "issues": [],
    "issue_counts": {
      "errors": 0,
      "warnings": 0,
      "info": 0
    }
  }
}

MCP Server (Model Context Protocol)

Our MCP server allows AI agents and LLMs to discover and use the CSV validation tool programmatically. Send tool discovery and call requests to the MCP endpoints.

POST /mcp/csv-check

Rate Limits

Les appels API authentifiés sont limités à 30 par minute. Les outils du navigateur ont des limites distinctes.